Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class IndividualPropertyAtomImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.AtomImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.IndividualPropertyAtomImpl

All Implemented Interfaces:
  Atom, IndividualPropertyAtom

    public class IndividualPropertyAtomImpl

extends AtomImpl
implements IndividualPropertyAtom

Constructor Summary
`IndividualPropertyAtomImpl(SWRLIndividualPropertyAtom atom)`

Method Summary
`AtomArgument` | `getArgument1()`
`AtomArgument` | `getArgument2()`
`String` | `getPrefixedPropertyName()`
`String` | `getPropertyName()`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.AtomImpl
`addReferencedClassName, addReferencedIndividualName, addReferencedPropertyName, addReferencedVariableName, getReferencedClassNames, getReferencedIndividualNames, getReferencedPropertyNames, getReferencedVariableNames, hasReferencedClasses, hasReferencedIndividuals, hasReferencedProperties, hasReferencedVariables`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.Atom
`getReferencedClassNames, getReferencedIndividualNames, getReferencedPropertyNames, getReferencedVariableNames, hasReferencedClasses, hasReferencedIndividuals, hasReferencedProperties, hasReferencedVariables`

Constructor Detail

### IndividualPropertyAtomImpl

    public IndividualPropertyAtomImpl(SWRLIndividualPropertyAtom atom)
                               throws OWLFactoryException

Throws:
  `OWLFactoryException`

Method Detail

### getPropertyName

    public String getPropertyName()

  Specified by:
    `getPropertyName` in interface `IndividualPropertyAtom`

### getPrefixedPropertyName

    public String getPrefixedPropertyName()

### getArgument1

    public AtomArgument getArgument1()

  Specified by:
    `getArgument1` in interface `IndividualPropertyAtom`

### getArgument2

    public AtomArgument getArgument2()

  Specified by:
    `getArgument2` in interface `IndividualPropertyAtom`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.